
Infrastructure - Story #782

Code housekeeping: CoordinatingNodeCrud interface not implemented by cn.rest.proxy...

2010-08-11 17:01 - Rob Nahf

Status: Rejected Start date: 2010-10-06

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: d1_cn_service Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

The DataoneServiceAPI interfaces CoordinatingNodeCrud / Query are not implemented in the wired controller to the application

(cn.rest.proxy.controller.ObjectController).  It is implemented by the ObjectController in cn.rest.controller, but this is template code.

So a decision will need to be made to as to whether to implement these interfaces or something else, and clean up the unused code

(or comment it so that we know it is deprecated).

History

#1 - 2010-10-06 17:40 - Rob Nahf

- Tracker changed from Decision to Story

- Subject changed from CoordinatingNodeCrud interface not implemented by cn.rest.proxy to Code housekeeping: CoordinatingNodeCrud interface

not implemented by cn.rest.proxy...

- Assignee deleted (Rob Nahf)

- Target version deleted (CCI.Prototype.Review)

- Start date set to 2010-10-06

- Milestone set to CCI-0.6

#2 - 2011-08-30 02:14 - Dave Vieglais

- Status changed from New to Rejected

- Milestone changed from CCI-0.6 to None
